# Admin | User(s) - Scorings and Statistics

{% content-ref url="/pages/-MIwuMaFXm6EkQXbwQR1" %}
[Broken mention](broken://pages/-MIwuMaFXm6EkQXbwQR1)
{% endcontent-ref %}

{% hint style="warning" %}
Accumulated Scorings and Statistics — methods that allow to get Scorings and Statistics when **authorized as Admin** via [API Authorization Credentials](https://docs.telematicssdk.com/back-end-to-back-end-integration/authentication#api-authorization-credentials) only!

Please, read this doc carefully before start:
{% endhint %}

{% content-ref url="/pages/-M2cbbSRbIXaO9xQ9y0l" %}
[API Authorization](/user-statistics-and-analytics/authentication.md)
{% endcontent-ref %}

## Accumulated Scorings

{% hint style="info" %}
How the aggregated 14-day scoring is counted:
{% endhint %}

{% content-ref url="/pages/-Lw3KifDldQK4-RDAVqP" %}
[Risk driving Scoring](/product-description/scoring/riskdrivingscore.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MJ83poNeSXHiuTT2XgN" %}
[Eco Scoring](/product-description/scoring/eco-scoring.md)
{% endcontent-ref %}

## Accumulated Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/accumulated`

Get all average individual scorings within Company/Application/Group for requested period.\
\
**Authorization:** Required as Admin

#### Query Parameters

| Name          | Type   | Description                                                      |
| ------------- | ------ | ---------------------------------------------------------------- |
| deviceToken   | string | One of these is required \| Individual User's DeviceToken (GUID) |
| CompanyID     | string | One of these is required                                         |
| ApplicationID | string | One of these is required                                         |
| InstanceID    | string | One of these is required                                         |
| startDate     | string | 2020-09-16                                                       |
| endDate       | string | 2020-09-30                                                       |
| tag           | string | consider only tagged trips (follow to SDK features => tags)      |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 User has actual for today user scoring" %}

```
{
  "Result": [
    {
      "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa3",
      "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 94.66666666666667,
      "BrakingScore": 78.66666666666667,
      "SpeedingScore": 40,
      "DistractedScore": 68.66666666666667,
      "CorneringScore": 100,
      "OverallScore": 69.66666666666667
    },
    {
      "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa3",
      "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 95,
      "BrakingScore": 96,
      "SpeedingScore": 67.5,
      "DistractedScore": 72.5,
      "CorneringScore": 100,
      "OverallScore": 90.5
    },
    {
      "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa3",
      "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 68.5,
      "BrakingScore": 76,
      "SpeedingScore": 66,
      "DistractedScore": 70,
      "CorneringScore": 87.5,
      "OverallScore": 82.5
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Accumulated Daily Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/accumulated/daily`

Get all users' individual daily scorings within Company/Application/Group for requested period.\
\
**Authorization:** Required as Admin via API Authorization Credentials

#### Query Parameters

| Name          | Type   | Description                                                           |
| ------------- | ------ | --------------------------------------------------------------------- |
| deviceToken   | string | One of these is required \| Individual User's DeviceToken (GUID)      |
| CompanyID     | string | One of these is required                                              |
| ApplicationID | string | One of these is required                                              |
| InstanceID    | string | One of these is required                                              |
| startDate     | string | 2020-09-16                                                            |
| endDate       | string | 2020-09-30 \| Greater then StartDate and range less or equals 30 days |
| tag           | string | consider only tagged trips (follow to SDK features => Tags)           |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": "f70a2159-0827-4a4d-b620-4ff5cd0aa658",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 96,
      "BrakingScore": 80,
      "SpeedingScore": 40,
      "DistractedScore": 68,
      "CorneringScore": 100,
      "OverallScore": 70,
      "CalcDate": "2020-09-01T00:00:00"
    },
    {
      "DeviceToken": "f70a2159-0827-4a4d-b620-4ff5cd0aa658",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 94,
      "BrakingScore": 78,
      "SpeedingScore": 40,
      "DistractedScore": 69,
      "CorneringScore": 100,
      "OverallScore": 69,
      "CalcDate": "2020-09-02T00:00:00"
    },
    {
      "DeviceToken": "b3116105-f72c-460d-8b71-cd4269bf4c4a",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 96,
      "BrakingScore": 94,
      "SpeedingScore": 63,
      "DistractedScore": 71,
      "CorneringScore": 100,
      "OverallScore": 88,
      "CalcDate": "2020-09-02T00:00:00"
    },
    {
      "DeviceToken": "d71937a5-5f3a-4dc2-b449-e80d241864e4",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 67,
      "BrakingScore": 74,
      "SpeedingScore": 60,
      "DistractedScore": 67,
      "CorneringScore": 92,
      "OverallScore": 79,
      "CalcDate": "2020-09-02T00:00:00"
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Accumulated Eco Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/accumulated/eco`

Get current accumulated users' eco scorings within Company/Application/Group\
\
**Authorization:** Required as Admin via API Authorization Credentials

#### Query Parameters

| Name          | Type   | Description                                                      |
| ------------- | ------ | ---------------------------------------------------------------- |
| deviceToken   | string | One of these is required \| Individual User's deviceToken (GUID) |
| CompanyID     | string | One of these is required                                         |
| ApplicationID | string | One of these is required                                         |
| InstanceID    | string | One of these is required                                         |

#### Headers

| Name          | Type   | Description                                                                   |
| ------------- | ------ | ----------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login>) |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": "4f51776b-3015-443d-a420-8a4379852855",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "EcoScoringFuel": 99.15114,
      "EcoScoringTyres": 83.39971,
      "EcoScoringBrakes": 85.882416,
      "EcoScoringDepreciation": 99.0,
      "EcoScoring": 82.95479
    },
    {
      "DeviceToken": "2f2d99c1-ec03-4fd2-8029-fc16ab2969f3",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "EcoScoringFuel": 99.15114,
      "EcoScoringTyres": 83.39971,
      "EcoScoringBrakes": 85.882416,
      "EcoScoringDepreciation": 99.0,
      "EcoScoring": 82.95479
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Accumulated Users' Statistics

## Accumulated Users' Statistics

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/accumulated/`

**Authorization:** Required as Admin via API Authorization Credentials

#### Query Parameters

| Name          | Type   | Description                                                 |
| ------------- | ------ | ----------------------------------------------------------- |
| deviceToken   | string | One of these is required \| User's deviceToken (GUID)       |
| CompanyID     | string | One of these is required                                    |
| ApplicationID | string | One of these is required                                    |
| InstanceID    | string | One of these is required                                    |
| startDate     | string | 2020-09-16                                                  |
| endDate       | string | 2020-09-30                                                  |
| tag           | string | consider only tagged trips (follow to SDK features => tags) |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": "f70a2159-0827-4a4d-b620-4ff5cd0aa658",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "MileageKm": 58.224000000000004,
      "MileageMile": 36.1803936,
      "TripsCount": 4,
      "DriverTripsCount": 0,
      "OtherTripsCount": 4,
      "MaxSpeedKmh": 115.69185638427734,
      "MaxSpeedMileh": 71.89091955718993,
      "AverageSpeedKmh": 45.88215183926666,
      "AverageSpeedMileh": 28.511169152920303,
      "TotalSpeedingKm": 11.219,
      "TotalSpeedingMile": 6.9714865999999995,
      "AccelerationCount": 2,
      "BreakingCount": 7,
      "CorneringCount": 0,
      "PhoneUsageDurationMin": 2.4166666666666665,
      "PhoneUsageDistanceKm": 1.393,
      "PhoneUsageDistanceMile": 0.8656102,
      "PhoneUsageOverSpeedDurationMin": 0,
      "PhoneUsageOverSpeedDistanceKm": 0,
      "PhoneUsageOverSpeedDistanceMile": 0,
      "DrivingTime": 95.75,
      "NightDrivingTime": 0,
      "DayDrivingTime": 84.9666690826416,
      "RushHoursDrivingTime": 16.75
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Accumulated Daily Users' Statistics

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/accumulated/daily/`

**Authorization:** Required as Admin via API Authorization Credentials

#### Query Parameters

| Name          | Type   | Description              |
| ------------- | ------ | ------------------------ |
| startDate     | string | 2020-09-16               |
| endDate       | string | 2020-09-30               |
| deviceToken   | string | One of these is required |
| CompanyID     | string | One of these is required |
| ApplicationID | string | One of these is required |
| InstanceID    | string | One of these is required |

#### Headers

| Name          | Type   | Description                                                                   |
| ------------- | ------ | ----------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login/> |

{% tabs %}
{% tab title="200 " %}

```
{
    "Result": [
        {
            "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "AppId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "ReportDate": "2020-09-01T00:00:00",
            "MileageKm": 173.363,
            "MileageMile": 107.72776819999999,
            "TripsCount": 9,
            "DriverTripsCount": 0,
            "OtherTripsCount": 9,
            "MaxSpeedKmh": 96.83999633789062,
            "MaxSpeedMileh": 60.17637372436523,
            "AverageSpeedKmh": 41.62794511159958,
            "AverageSpeedMileh": 25.867605092347976,
            "TotalSpeedingKm": 3.5650000000000004,
            "TotalSpeedingMile": 2.215291,
            "AccelerationCount": 5,
            "BreakingCount": 10,
            "CorneringCount": 4,
            "PhoneUsageDurationMin": 5.383333333333334,
            "PhoneUsageDistanceKm": 0.651,
            "PhoneUsageDistanceMile": 0.4045314,
            "PhoneUsageOverSpeedDurationMin": 0.0,
            "PhoneUsageOverSpeedDistanceKm": 0.0,
            "PhoneUsageOverSpeedDistanceMile": 0.0,
            "DrivingTime": 332.41666666666663,
            "NightDrivingTime": 0.0,
            "DayDrivingTime": 195.83333539962769,
            "RushHoursDrivingTime": 142.55000114440918
        },
        {
            "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa7",
            "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "AppId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "ReportDate": "2020-09-01T00:00:00",
            "MileageKm": 83.251,
            "MileageMile": 51.7321714,
            "TripsCount": 11,
            "DriverTripsCount": 0,
            "OtherTripsCount": 11,
            "MaxSpeedKmh": 96.65534973144531,
            "MaxSpeedMileh": 60.06163432312011,
            "AverageSpeedKmh": 44.548493676012725,
            "AverageSpeedMileh": 27.682433970274307,
            "TotalSpeedingKm": 15.229,
            "TotalSpeedingMile": 9.463300599999998,
            "AccelerationCount": 0,
            "BreakingCount": 0,
            "CorneringCount": 0,
            "PhoneUsageDurationMin": 1.65,
            "PhoneUsageDistanceKm": 1.193,
            "PhoneUsageDistanceMile": 0.7413301999999999,
            "PhoneUsageOverSpeedDurationMin": 0.0,
            "PhoneUsageOverSpeedDistanceKm": 0.0,
            "PhoneUsageOverSpeedDistanceMile": 0.0,
            "DrivingTime": 122.23333333333332,
            "NightDrivingTime": 7.866666793823242,
            "DayDrivingTime": 124.99999856948853,
            "RushHoursDrivingTime": 14.350000381469727
        }
    ],
    "Status": 200,
    "Title": "",
    "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Accumulated Latest Scoring and Track dates

## Accumulated Latest Scoring and Track dates

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/accumulated/latestDates`

**Authorization**: Required as Admin via API Authorization Credentials

#### Query Parameters

| Name          | Type   | Description                                           |
| ------------- | ------ | ----------------------------------------------------- |
| deviceToken   | string | One of these is required \| User's deviceToken (GUID) |
| CompanyID     | string | One of these is required                              |
| ApplicationID | string | One of these is required                              |
| InstanceID    | string | One of these is required                              |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": "58156858-3629-4931-89d9-0043e5873b91",
      "InstanceId": "5198e42d-3c0b-498e-9316-388fbc5f501d",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "LastTrackDate": "2020-08-20T15:00:58.81", //+03:00
      "LastScoringDate": "2020-08-20T00:00:00"
    },
    {
      "DeviceToken": "58156858-2265-4931-89d9-0043e5873b91",
      "InstanceId": "5198e42d-3c0b-498e-9316-388fbc5f501d",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "LastTrackDate": "2020-08-20T15:00:58.81", //+03:00
      "LastScoringDate": "2020-08-20T00:00:00"
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/user-statistics-and-analytics/get-started-statistics-and-scoring-apis/accumulated-statistics-and-scorings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
